<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_aa7e860da1ac" . "d4e767e0df9d7" . "d407380" => base64_decode("ZGF0" . "ZV9j" . "cmVh" . "dGVk"), "_c240fbf9dae3f14bb9192babf3ef673" . "1" => base64_decode("ZGF0ZV9tb2RpZmllZ" . "A=="), "_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d" => base64_decode("bG1zZ" . "w=="), "_121c102c9c9ad9" . "bf61745404c1463" . "12c" => base64_decode("d29ya2Zsb3d" . "fc2VsZWN0"), "_1d81e4078b112d9a9" . "d9f9dd21fea4460" => base64_decode("Li4vZG9jdW1lbnRzL2NsYXNzZXMvV0ZTdGF0LnBocA=" . "="), "_21977da3ae64465ec85f8" . "9dfb0b6dcf2" => base64_decode("ZG9jdW1lbnRzLmhlYWRlci5wcm9jZXNzZWRfZG9jd" . "W1lbnRz"), "_52ff3d2c2e521e8" . "d4e39bc762ea72a7" . "0" => base64_decode("UHJvY2Vzc2VkI" . "GRvY3VtZW50cw" . "=="), "_f457e604fe9e77" . "b3f884b013afe0c" . "10c" => base64_decode("Y3N2X2V4cG9ydA=" . "="), "_8f06554776135669" . "af1f9fe2598af4dc" => base64_decode("V29ya" . "2Zsb3" . "c="), "_3893085d5d4dd5" . "f7f80042847fc8f" . "d66" => base64_decode("Y29tbW9uLmhlYWRlci53b3" . "JrZmxvdw=="));
require_once $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_1d81e4078b112d9a9d9f9dd21fea44" . "60"];





class ReportSummaryWorkflow extends ReportCommon
{
    var $start_created;
    var $start_modified;
    var $end_created;
    var $end_modified;
    var $workflow_id;
    function InitControls(\Psr\Http\Message\ServerRequestInterface $request)
    {
        $this->_initControls(array($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_c240fbf9dae3f14" . "bb9192babf3ef673" . "1"], $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_aa7e860da1acd4e767e0df" . "9d7d407380"], $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_f457e604fe9e77b3f884b013afe0c1" . "0c"], $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_121c102c9c9" . "ad9bf6174540" . "4c146312c"]), $request);
        $this->start_created = $this->controls->date_created->GetStartDateObject();
        $this->end_created = $this->controls->date_created->GetEndDateObject();
        $this->start_modified = $this->controls->date_modified->GetStartDateObject();
        $this->end_modified = $this->controls->date_modified->GetEndDateObject();
        if ($this->start_created === null) {
            $this->start_created = new DateBigBang();
        }
        if ($this->end_created === null) {
            $this->end_created = new DateArmageddon();
        }
        if ($this->start_modified === null) {
            $this->start_modified = new DateBigBang();
        }
        if ($this->end_modified === null) {
            $this->end_modified = new DateArmageddon();
        }
        $this->csv_separator = $this->controls->csv_export->GetSeparator();
        $this->workflow_id = $this->controls->workflow_select->GetWFId();
        $this->workflow_id = $this->workflow_id > 0 ? $this->workflow_id : null;
    }
    function InitHeaders()
    {
        $this->column_headers = array(array($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_8f06554776135669af1f9fe2598af4" . "dc"], $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_3893085d5d4dd5f7f800428" . "47fc8fd66"])), array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_52ff3d2c2e521e8d4e39bc7" . "62ea72a70"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_0c5123aa74" . "4f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_21977da3ae64465ec" . "85f89dfb0b6dcf2"])));
        $this->column_types = array(new CommonListOutputText(), new CommonListOutputText());
    }
    function GetNumRows()
    {
        return WFStat::GetSummaryNumRows($this->workflow_id);
    }
    function GetData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        $_343a395319323dd7609bcbc465b4d034 = WFStat::GetSummaryReportArray($this->start_created->getDate(DATE_FORMAT_TIMESTAMP), $this->end_created->getDate(DATE_FORMAT_TIMESTAMP), $this->start_modified->getDate(DATE_FORMAT_TIMESTAMP), $this->end_modified->getDate(DATE_FORMAT_TIMESTAMP), $_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4, $this->workflow_id);
        $values = array();
        foreach ($_343a395319323dd7609bcbc465b4d034 as $_b8cfc2e06d9d1fec1893ea4a054002bf) {
            $values[] = array($_b8cfc2e06d9d1fec1893ea4a054002bf[0], $_b8cfc2e06d9d1fec1893ea4a054002bf[1]);
        }
        return $values;
    }
}